Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040209
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2019-02-14 17:192019-03-11 11:24
ReporterasiermartirenaView Statuspublic 
Assigned Toasiermartirena 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision21de8b565a4b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040209: The PLM Status field mustn't always depend on the stockable status

DescriptionThe PLM Status field depends always in the stockable status of the product. As some status don't have any relation with the stock (locked, for example), it shouldn't be dependent of it.
Steps To ReproduceSet a product to status 'Obsolete'. Set the 'Stocked' field to 'N' and save. It's not possible to save it, even when the stock is not used in that status.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0110302)
hgbot (developer)
2019-03-07 18:11

Repository: erp/devel/pi
Changeset: 21de8b565a4bf92ad32360d9bde485333b18bb98
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Thu Mar 07 13:02:14 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/21de8b565a4bf92ad32360d9bde485333b18bb98 [^]

Fixed issue 40209: The PLM Status field mustn't depend on the stockable status

---
M src-db/database/model/tables/M_PRODUCT.xml
---
(0110326)
hgbot (developer)
2019-03-08 14:31

Repository: erp/devel/pi
Changeset: 05cecb4beb7082aca19bfd59ddc789edda78afde
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Fri Mar 08 10:33:14 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/05cecb4beb7082aca19bfd59ddc789edda78afde [^]

Related to issue 40209: The PLM Status is shown for not stocked products

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0110343)
Sandrahuguet (developer)
2019-03-11 11:24

verified

- Issue History
Date Modified Username Field Change
2019-02-14 17:19 asiermartirena New Issue
2019-02-14 17:19 asiermartirena Assigned To => asiermartirena
2019-02-14 17:19 asiermartirena Modules => Core
2019-02-14 17:19 asiermartirena Triggers an Emergency Pack => No
2019-03-07 18:11 hgbot Checkin
2019-03-07 18:11 hgbot Note Added: 0110302
2019-03-07 18:11 hgbot Status new => resolved
2019-03-07 18:11 hgbot Resolution open => fixed
2019-03-07 18:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/21de8b565a4bf92ad32360d9bde485333b18bb98 [^]
2019-03-08 14:31 hgbot Checkin
2019-03-08 14:31 hgbot Note Added: 0110326
2019-03-08 14:49 Sandrahuguet Review Assigned To => Sandrahuguet
2019-03-11 11:24 Sandrahuguet Note Added: 0110343
2019-03-11 11:24 Sandrahuguet Status resolved => closed
2019-03-11 11:24 Sandrahuguet Fixed in Version => 3.0PR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker